/*
 *  call.c - operations with callsigns
 *  Copyright (c)2002 - 2004 Andrej  OM1CW
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef CALL_H
#define CALL_H

#include "osdep.h"

uint8_t *alloc_buf(uint32_t size);
struct CALL_INFO *add_call(char *call, uint32_t loc, uint8_t band);
struct CALL_INFO *find_call(char *call, uint32_t loc, uint8_t band);
struct CALL_INFO *find_only_call(struct CALL_INFO *call, uint8_t band);
int found_in_bad_calls(const char *call);
char *strip_slashsfx(char *call);
#endif /* CALL_H */
